## scipy 1.7.1

=== debian/changelog ===
scipy (1.7.1-1ubuntu1) jammy; urgency=medium

  * Do not build the python3-scipy-dbg package, see #994375

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 23 Oct 2021 14:38:19 +0000

scipy (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * New upstream release
  * update upper-versioned Build-Depends
    - python3-numpy (<< 1.23.0) (see pyproject.toml)
    - python3-pybind11 (<< 2.8) (build is stable with pybind11 2.7)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 02:07:15 +0200

scipy (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patches css_font_OpenSans.patch and
      css_font_local.patch
  * Build with SCIPY_USE_PYTHRAN=0 since pythran is not yet available.
    pythran packaging requested in Bug#991143.
  * Build-Depends-Indep: python3-pydata-sphinx-theme,
    python3-sphinx (>> 3.1)
  * debian patch docs_skip_panels.patch skips use of sphinx-panels in
    docs. Not available yet (RFP#991684).
  * update debian/rules
    - allow for spaces in filenames in override_dh_fixperms-arch.
      sobol_vec.gz is no longer installed.
    - drop special handling for weave. It was removed in scipy 0.15.0.
  * mark python3-scipy as Multi-Arch: no
  * lintian fixes
    - mark scipy/optimize/lbfgsb_src/*.f as License: BSD-generic not BSD
    - packages override bogus-mail-host-in-debian-changelog
      Debian/i386 Build Daemon <buildd_i386-saens>
    - source override obsolete-url-in-packaging debian/copyright
      https://code.google.com/archive/p/ampgo
  * remove deprecated debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jul 2021 01:40:57 +0200

scipy (1.6.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes matrix dtypes. Closes: #983404.
    - introduces upper-versioned Build-Depends: cython3 (<< 3.0),
       python3-pybind11 (<< 2.7),
       python3-wheel (<< 0.37.0)
       (leave python3-setuptools uncapped)
    - also Build-Depends: python3-all-dev (>= 3.7)
  * Stop ignoring build-time errors in debian/rules. Closes: #967977.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Mar 2021 19:21:49 +0100

scipy (1.6.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Depends: python3-numpy (>= 1:1.16.5)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Feb 2021 20:46:00 +0100

=== debian/control ===
Source: scipy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Build-Depends: cython3 (>= 0.29.18), cython3 (<< 3.0),
               debhelper-compat (= 13),
               dh-python,
               gfortran,
               libblas-dev,
               liblapack-dev,
               liblbfgsb-dev,
               libsuitesparse-dev (>= 3.1.0-3),
               python3-all-dev (>= 3.7),
               python3-decorator,
               python3-numpy (>= 1:1.16.5), python3-numpy (<< 1:1.23.0),
               python3-pybind11 (>= 2.4.3), python3-pybind11 (<< 2.8),
               python3-pytest,
               python3-setuptools,
               python3-wheel (<< 0.37.0)
Build-Depends-Indep: dvipng,
                     python3-doc,
                     python3-docutils,
                     python3-matplotlib,
                     python3-numpydoc,
                     python3-pydata-sphinx-theme,
                     python3-sphinx (>> 3.1),
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra
Standards-Version: 4.5.1
Homepage: https://www.scipy.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy

Package: python3-scipy
Architecture: any
Multi-Arch: no
Depends: python3-decorator,
         python3-numpy (>= 1:1.16.5),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: g++ | c++-compiler, python3-pil
Suggests: python-scipy-doc
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python-scipy-doc
Depends: fonts-open-sans,
         libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Section: doc
Architecture: all
Multi-Arch: foreign
Description: scientific library for Python - documentation
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package contains documentation for the SciPy library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scipy

include /usr/share/dpkg/architecture.mk

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None
export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
export SCIPY_USE_PYTHRAN=0

PY3VERS:= $(shell py3versions -v -r debian/control)
PY3_DEFAULT:= $(shell py3versions -d)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build
	-rm -rf doc/source/fontList.cache
	-rm -rf doc/build
	-rm -rf debian/extra_bin
	find . -name "*.pyc" -exec rm {} \;
	dh_clean

override_dh_auto_configure:
	rm -f cythonize.dat
	touch scipy/linalg/_generate_pyx.py scipy/special/_generate_pyx.py
	python3 tools/cythonize.py

build-python%:
	pybuild -p$* --configure --configure-args "config_fc --noarch build"

override_dh_auto_build-arch: $(PY3VERS:%=build-python%)

override_dh_auto_build-indep: build-$(PY3_DEFAULT)
	# generate documentation (see comment below) needs compiled scipy
	(export MPLCONFIGDIR=. ; \
	PYLIBPATH=`pybuild --print build_dir | grep $(PY3_DEFAULT) | awk '{print $$3}'`; \
	echo "building docs using PYLIBPATH=$$PYLIBPATH"; \
	PYTHONPATH=$$PYLIBPATH make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3)

override_dh_auto_test:
	echo "Build-time tests will be run after the installation dir is installed"

override_dh_auto_install:
	dh_auto_install -a -- --install-args "--root $(BASE)/tmp --force --no-compile --install-layout=deb";

override_dh_install-arch:
	dh_install
	find debian/python3-scipy -type f -name '*.cpython-3?d*.so' -delete

	# drop all the installed setup.py files
	find $(BASE)/ -name setup.py -delete
	find $(BASE)/ -name generate_ufuncs.py -delete

	set -e && for py in $(PY3VERS); do \
	  ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
	done

	dh_numpy3
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(TMPDIR)
	set -e && for pyvers in $(PY3VERS); do \
	  AUTOPKGTEST_TMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python$$pyvers/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
	done
endif

override_dh_fixperms-arch:
	dh_fixperms
	set -e; \
	SAVEIFS=$$IFS; IFS=`printf '\n '` && IFS="$${IFS% }";       \
	for i in `find debian -mindepth 2 -type f ! -perm 755`; do  \
	  if head -1 "$$i" | grep -q '^#!' ; then                   \
	    chmod +x "$$i";                                         \
	  fi ;                                                      \
	done; IFS=$$SAVEIFS
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

override_dh_installdocs-indep:
	dh_installdocs -i

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/jquery.js
	dh_link -ppython-scipy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-scipy-doc/html/_static/jquery.js

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js

	dh_sphinxdoc -i -XMathJax.js
	find debian/python-scipy-doc/ -name scipy-mathjax | xargs rm -rf
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
	symlinks -r -s -c debian/python-scipy-doc

## scipy 1.8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation

# If `python3` doesn't point to the Python you want to use (with Sphinx installed),
# then you can use, e.g., `make html PYTHON=python3.9` to specify a Python executable
PYTHON = python3

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C $(PYTHON) -msphinx
PAPER         =

FILES=

# Internal variables.
PAPEROPT_a4     = -D "latex_elements.papersize=a4paper"
PAPEROPT_letter = -D "latex_elements.papersize=letterpaper"
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
        dist dist-build version-check

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  html-scipyorg  to make standalone HTML files with scipy.org theming"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  clean     to clean all build files/directories"
	@echo "  dist      to make a distribution-ready tree (installing Scipy in venv)"
	@echo "  doc-dist  to make a distribution-ready tree (assuming Scipy is installed)"
	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"
	@echo "  show      to show the html-scipyorg output"

clean:
	-rm -rf build/* source/reference/generated


#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current scipy version, and extract docs from it.
# We have to be careful of some issues:
#
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#

UPLOAD_DIR=/srv/docs_scipy_org/doc/scipy-$(RELEASE)

SCIPYVER:=$(shell $(PYTHON) -c "import scipy; print(scipy.version.git_revision[:10])" 2>/dev/null)
GITVER ?= $(shell cd ..; $(PYTHON) -c "from setup import git_version; \
				print(git_version()[0][:10])")

version-check:
ifeq "$(GITVER)" "Unknown"
	# @echo sdist build with unlabeled sources
else ifeq ("", "$(SCIPYVER)")
	@echo scipy not found, cannot build documentation without successful \"import scipy\"
	@exit 1
else ifneq ($(SCIPYVER),$(GITVER))
	@echo installed scipy $(SCIPYVER) != current repo git version \'$(GITVER)\'
	@echo use '"make dist"' or '"GITVER=$(SCIPYVER) make $(MAKECMDGOALS) ..."'
	@exit 1
else
	# for testing
	# @echo installed scipy $(SCIPYVER) matches git version $(GITVER); exit 1
endif

dist:
	install -d build
	rm -rf build/env
	$(PYTHON) -mvenv --system-site-packages build/env
	$(CURDIR)/build/env/bin/python -mpip install Sphinx
	$(CURDIR)/build/env/bin/python -mpip install ..
	make PYTHON="$(CURDIR)/build/env/bin/python" doc-dist

doc-dist: VERSIONWARNING=-t versionwarning

doc-dist: html-scipyorg html
	test -d build/latex || make latex
	make -C build/latex all-pdf LATEXOPTS="-halt-on-error"
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	mkdir -p build/dist
	cp -r build/html-scipyorg build/dist
	touch build/dist/index.html
	(cd build/html && zip -9qr ../dist/scipy-html.zip .)
	cp build/latex/scipy-ref.pdf build/dist
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s
	cd build/dist && tar czf ../dist.tar.gz *

upload:
	# SSH must be correctly configured for this to work.
	# Assumes that ``make dist`` was already run
	# Example usage: ``make upload USERNAME=rgommers RELEASE=0.17.0``
	ssh $(USERNAME)@new.scipy.org mkdir -p $(UPLOAD_DIR)
	scp build/dist.tar.gz $(USERNAME)@new.scipy.org:$(UPLOAD_DIR)
	ssh $(USERNAME)@new.scipy.org tar xvC $(UPLOAD_DIR) \
	    -zf $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/scipy-ref.pdf \
	    $(UPLOAD_DIR)/scipy-ref-$(RELEASE).pdf
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/scipy-html.zip \
	    $(UPLOAD_DIR)/scipy-html-$(RELEASE).zip
	ssh $(USERNAME)@new.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org ln -snf scipy-$(RELEASE) /srv/docs_scipy_org/doc/scipy

#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

html: version-check html-build
html-build:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html-scipyorg:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -WT --keep-going -t scipyorg $(VERSIONWARNING) -b html $(ALLSPHINXOPTS) build/html-scipyorg $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html-scipyorg."

latex: version-check latex-build
latex-build:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex $(FILES)
	$(PYTHON) postprocess.py tex build/latex/*.tex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build version-check
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage $(FILES)
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: version-check
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes $(FILES)
	@echo
	@echo "The overview file is in build/changes."

linkcheck: version-check
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck $(FILES)
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/build/html-scipyorg/index.html')"

=== scipy/sparse/linalg/_propack/PROPACK/double/Lapack_Util/Makefile ===
#
#     (C) Rasmus Munk Larsen, Stanford University, 2004
#

include ../../make.inc
OBJ = dbdsdc.o  dlamrg.o  dlascl.o  dlasd4.o  dlasda.o  dlasq2.o  dlasr.o  ilaenv.o \
dbdsqr.o  dlanst.o  dlasd0.o  dlasd5.o  dlasdq.o  dlasq3.o  dlasrt.o  lsame.o \
dlacpy.o  dlapy2.o  dlasd1.o  dlasd6.o  dlasdt.o  dlasq4.o  dlassq.o \
dlaed6.o  dlartg.o  dlasd2.o  dlasd7.o  dlaset.o  dlasq5.o  dlasv2.o \
dlas2.o   dlasd3.o  dlasd8.o  dlasq1.o  dlasq6.o \
ieeeck.o  dlartg.o  dlarnv.o  dlaruv.o    dlamch.o xerbla.o 

.F.o:
	$(F77) $(FFLAGS) $(IPATH) -c -o $*.o $*.F

.f.o:
	$(F77) $(FFLAGS) $(IPATH) -c -o $*.o $*.f


dlamch.o: dlamch.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

ieeeck.o: ieeeck.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

ilaenv.o: ilaenv.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

dlasd4.o: dlasd4.f
	$(F77)	$(FFLAGS_ACCURATE) $(IPATH) -c -o $*.o $*.f


lib: ../libdlapack_util_$(PLAT).a

../libdlapack_util_$(PLAT).a: $(OBJ)
	$(MAKELIB) libdlapack_util_$(PLAT).a $(OBJ)	
	$(RANLIB)  libdlapack_util_$(PLAT).a
	cp libdlapack_util_$(PLAT).a ..

clean:	
	rm -f  *.o *.il
	rm -rf rii_files	

cleanall:
	rm -f  *.o *.x *.a *~ *.il ifc*
	rm -rf rii_files

=== debian/changelog ===
scipy (1.8.0-1exp2ubuntu1) jammy; urgency=medium

  * Ignore distutils deprecation warnings in doc build

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 17:45:01 +0000

scipy (1.8.0-1exp2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:53:26 +0000

scipy (1.8.0-1exp2) experimental; urgency=medium

  * build scipy with pythran support where available [amd64 arm64 m68k]
    Depends: python3-pythran [amd64 arm64 m68k]
    Closes: #991753.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Feb 2022 01:41:52 +0100

scipy (1.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update debian/copyright: vendored libraries SuperLU and arpack
    used by sparse/linalg are now treated as private via an
    _underscore prefix (_dsolve, _eigen)

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 22:05:09 +0100

scipy (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch hppa-boost-long-double-config.patch disables
    LONG_DOUBLE in the boost submodule on hppa. Adapted from the boost
    patch hppa-long-double-config.patch.
    See https://github.com/scipy/scipy/issues/15260
    for discussion of why boost has been vendored for scipy.
    Closes: #1004197.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 12:11:29 +0100

scipy (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends-Indep: python3-sphinx-panels
    Drop debian patch docs_skip_panels.patch. Closes: #991752.
  * remove upper bound on python3-pybind11 build-dependency. It's not
    used upstream in dev code, gets applied only to release versions
    to make local pip virtualenv installations use known-good versions.
    Closes: #1002065.
  * remove upper bound in Build-Depends: python3-numpy, python3-wheel
  * raise versioned Build-Depends python3-numpy (>= 1.21.4) for
    python3.10 support.
  * don't compress woff font files. Apply the same
    override_dh_compress used for numpy.  Closes: #1003282.
  * add a source lintian override for fortran-si4-11x1x10.dat
    (source-contains-prebuilt-windows-binary). It's a test data
    file, not a DOS executable.
  * Standards-Version: 4.6.0
  * update debian/copyright
    - remove deprecated files debian/patches/css_font_OpenSans.patch,
      doc/scipy-sphinx-theme/*, scipy/_lib/six.py
    - acknowledge Jonathan Neal's code snippet "font-family: no-parens"
      from https://codepen.io/jonneal/pen/bXLEdB (MIT licence)
      in doc/source/_static/scipy.css
    - scipy/fft/_pocketfft/ licence applies to all _pocketfft not only
      pocketfft.cxx
    - scipy/_lib/uarray/ renamed to _uarray

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jan 2022 14:11:52 +0100

scipy (1.7.1-2) unstable; urgency=medium

  * Drop -dbg package; Closes: #994375

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 23:57:11 -0500

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
                libsuitesparse-dev (>= 3.1.0-3),
                python3-all-dev (>= 3.7),
                python3-decorator,
-               python3-numpy (>= 1:1.16.5), python3-numpy (<< 1:1.23.0),
-               python3-pybind11 (>= 2.4.3), python3-pybind11 (<< 2.8),
+               python3-numpy (>= 1:1.21.4),
+               python3-pybind11 (>= 2.4.3),
                python3-pytest,
                python3-setuptools,
-               python3-wheel (<< 0.37.0)
+               python3-wheel,
+               python3-pythran [amd64 arm64 m68k]
 Build-Depends-Indep: dvipng,
                      python3-doc,
                      python3-docutils,
@@ -28,11 +29,12 @@
                      python3-numpydoc,
                      python3-pydata-sphinx-theme,
                      python3-sphinx (>> 3.1),
+                     python3-sphinx-panels,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
@@ -42,6 +44,7 @@
 Multi-Arch: no
 Depends: python3-decorator,
          python3-numpy (>= 1:1.16.5),
+         python3-pythran [amd64 arm64 m68k],
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-pytest, python3-all

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libopenblas0

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libatlas3-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: blis
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libblis3

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/scipy/scipy/releases (?:.*?/)?scipy-v?(\d[\d.]*)\.tar\.xz

## scipy 1.8.1

=== debian/changelog ===
scipy (1.8.1-19) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix flapack (Closes: #1027460)
  * Add upstream patch for numpy 1.24
  * Use dh-sequence-*

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jan 2023 11:32:39 +0100

scipy (1.8.1-18) unstable; urgency=medium

  * Team upload.
  * Skip one more failing test on ppc64el

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2022 09:33:52 +0100

scipy (1.8.1-17) unstable; urgency=medium

  * Team upload.
  * Ignore some test in autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 12:03:29 +0100

scipy (1.8.1-16) unstable; urgency=medium

  * Team upload.
  * Ignore some failing unit tests on some archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Dec 2022 23:53:47 +0100

scipy (1.8.1-15) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with new numpy (deprecated numpy.distutils)
    (Closes: #1026210, #1026342, #1026516)
  * Add workaround for FTBFS with new sphinx
  * Ignore test failure on armel (Closes: #1025699)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Dec 2022 19:47:35 +0100

scipy (1.8.1-14) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip all test_complex* tests on i386 with blis
  * once again drop pythran support on armhf.
    Still causes many packages to fail tests even after revised
    version of PR16646 (possibly due to memory exhaustion?)

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Sep 2022 16:01:54 +0200

scipy (1.8.1-13) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: test_random_exact in linalg/tests/test_basic.py (segfaults)
  * update debian patch pythran_type_PR16646.patch to latest PR16646

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 09:53:04 +0200

scipy (1.8.1-12) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: linalg/tests/test_decomp.py (started segfaulting)
    - hppa: test_nodata test_cont_basic[500-200-semicircular-arg89]
    - riscv64: test_vector test_iterative_refinements_dense (segfaults)
  * skip more tests in debian/test
    - i386 with blis: test_complex_dotc (segfaults)
    - armhf with openblas: test_solver_selection
    - ppc64el with atlas: sparse test_svd_v0, test_svd_random_state{_2}
  * update debian patch pythran_type_PR16646.patch to latest PR16646
    - reinstate TestMLS tests
    - reinstate pythran on armhf to test if PR16646 now fixes problems
    - Closes: #1017862

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Aug 2022 20:12:18 +0200

scipy (1.8.1-11) unstable; urgency=medium

  * Team upload.
  * skip more tests in debian/tests
    - arm64: test_atol[cgs] with blis
    - armel: skip linalg test_aligned_mem in test_decomp.py
    - armhf with openblas: some optimize tests in TestRRSVD, TestDogbox
    - i386 with blis: test_complex_dotu
    - ppc64el: test_svds_parameter_tol, test_bug_6139 (with atlas)
    - s390x with atlas: test_bug_6139, test_solver_select
    - riscv64: avoid failures and segfaults
  * skip tests failing on powerpc in stats/tests/test_stats.py:
    overflow encountered in _hypergeom_*. Skip test_hypergeom_cdf,
    test_hypergeom_sf, test_nch_hypergeom, test_precision,
    test_precise, test_less_greater
  * debian/tests: restrict openblas tests to supported architectures
    only (i.e. not armel)

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Aug 2022 00:29:59 +0200

scipy (1.8.1-10) unstable; urgency=medium

  * Team upload.
  * skip TestSmirnovp (test_kolmogorov) also on hurd-i386
  * skip test_first_step and test_classes on mips64el
    (integrate/_ivp/tests/test_ivp.py)
    See https://github.com/scipy/scipy/issues/16883
  * skip test_large_rank_deficient on armhf with blis. Segfaults in
    test_lsq_linear.py::TestBVLS
  * once again drop pythran support on armhf.
    It does work successfully, but shifts numerical results enough to
    break tests on a dozen packages (astropy, pandas, pyfai, skimage etc)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Aug 2022 11:43:19 +0200

scipy (1.8.1-9) unstable; urgency=medium

  * Team upload.
  * drop asyncio_mode=auto from debian patch manage_tests.patch.
    Only relevant when python3-pytest-asyncio is installed
    (causes errors if not installed, but scipy doesn't need it)
  * use runtests.py to manage build-time tests
  * skip failing tests
    - signal TestMLS fails due to broken pythran support on 32 bit
      arches. See Bug#1017862.
    - special test_kolmogorov.py (TestSmirnovp) segfaults on i386.
      Closes: Bug#1017864.
    - stats test_cont_basic[500-200-ncf-arg74] fails with
      IntegrationWarning. See upstream Issue 14519
  * update debian/watch (uscan) for latest github format

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Aug 2022 17:24:17 +0200

scipy (1.8.1-8) unstable; urgency=medium

  * Team upload.
  * overhaul debian/tests to run debci tests using upstream's
    runtests.py. Previous approach was overcomplicated and unable to
    skip test_hermitian_modes for blis on i386. Keep specific skips for
    BLAS tests but drop general tests previously skipped in order to
    verify if they still need skipping.
  * debian patch pythran_type_PR16646.patch applies upstream PR#16646
    to properly define pythran types for 32 bit arches.
    - reinstate pythran support on armhf
  * fix determination of python3 versions in debian/rules

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jul 2022 00:20:58 +0200

scipy (1.8.1-7) unstable; urgency=medium

  * Team upload.
  * drop pythran completely from armhf. Still causes errors from built
    components even if pythran is not installed at runtime.
    cf. https://github.com/serge-sans-paille/pythran/issues/2002
  * reorganise test skip list in debian/tests to ensure i386 properly
    skips test_hermitian_modes

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jul 2022 13:36:40 +0200

scipy (1.8.1-6) unstable; urgency=medium

  * Team upload.


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: scipy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
 Build-Depends: cython3 (>= 0.29.18), cython3 (<< 3.0),
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -21,20 +21,21 @@
                python3-pytest,
                python3-setuptools,
                python3-wheel,
-               python3-pythran [amd64 arm64 m68k]
+               python3-pythran [!armhf]
 Build-Depends-Indep: dvipng,
+                     dh-sequence-sphinxdoc,
                      python3-doc,
                      python3-docutils,
                      python3-matplotlib,
                      python3-numpydoc,
                      python3-pydata-sphinx-theme,
-                     python3-sphinx (>> 3.1),
+                     python3-sphinx,
                      python3-sphinx-panels,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
@@ -43,8 +44,8 @@
 Architecture: any
 Multi-Arch: no
 Depends: python3-decorator,
-         python3-numpy (>= 1:1.16.5),
-         python3-pythran [amd64 arm64 m68k],
+         python3-numpy (>= 1:1.17.3~),
+         python3-pythran [!armhf],
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scipy

include /usr/share/dpkg/architecture.mk

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None
export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
export SCIPY_USE_PYTHRAN=0

PY3VERS:= $(shell py3versions -v -s)
PY3_DEFAULT:= $(shell py3versions -dv)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export SCIPY_USE_PYTHRAN = $(shell if dpkg-query -s python3-pythran >/dev/null 2>/dev/null; then echo 1; else echo 0; fi )

# stats/tests/test_continuous_basic.py::test_cont_basic[500-200-ncf-arg74] test fails with IntegrationWarning
# https://github.com/scipy/scipy/issues/14519
SKIP_TEST_LIST += "test_cont_basic[500-200-ncf-arg74]"

ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
    SKIP_TEST_LIST += test_maxiter_worsening[lgmres]
endif

# linalg/tests/test_decomp.py started segfaulting on armel
ifneq (,$(findstring $(DEB_HOST_ARCH), armel))
    SKIP_TEST_LIST += test_decomp test_random_exact
endif

# Bug#1017864 test_kolmogorov.py segfaults on i386 (including hurd)
SKIP_KOLMOGOROV_ARCH_LIST := i386 hurd-i386
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(SKIP_KOLMOGOROV_ARCH_LIST)$(space)))
  SKIP_TEST_LIST += TestSmirnovp
endif

# integrate/_ivp/tests/test_ivp.py fail on mips64el
# see https://github.com/scipy/scipy/issues/16883
ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += test_first_step test_classes
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), mipsel))
    SKIP_TEST_LIST += test_NaN_warnings test_moments_warnings
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
    SKIP_TEST_LIST += test_nodata test_cont_basic[500-200-semicircular-arg89]
endif

# powerpc: failures in stats/tests/test_stats.py: overflow encountered in _hypergeom_*
ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
    SKIP_TEST_LIST += test_hypergeom_cdf test_hypergeom_sf test_nch_hypergeom test_precision test_precise test_less_greater
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
    SKIP_TEST_LIST += test_maxiter_worsening
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build .pybuild
	-find $(CURDIR) -name __pycache__ -type d -exec rm -rf {} +
	-rm -rf doc/source/fontList*
	-rm -rf doc/source/reference/generated
	-rm -rf doc/build

execute_before_dh_auto_configure:
	echo "Building scipy with SCIPY_USE_PYTHRAN=$(SCIPY_USE_PYTHRAN)"

execute_before_dh_installdocs-indep:
	(export MPLCONFIGDIR=. ; \
	PYLIBPATH=`pybuild --print build_dir -p$(PY3_DEFAULT) | awk '{print $$3}'`; \
	echo "building docs using PYLIBPATH=$$PYLIBPATH"; \
	PYTHONPATH=$$PYLIBPATH make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3)

override_dh_auto_test:
	echo "Build-time tests will be run after the installation dir is installed"

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_install:
	set -e; \
	SKIP_TESTS=""; \
	list_initialised=0; \
	for t in $(SKIP_TEST_LIST); do \
	    if [ $${list_initialised} = 0 ]; then \
	        SKIP_TESTS=$$t; \
	        list_initialised=1; \
	    else \
	        SKIP_TESTS="$${SKIP_TESTS} or $$t"; \
	    fi; \
	done; \
	if [ "x$${SKIP_TESTS}" != "x" ]; then \
	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
	fi; \
	echo "skipping tests: $${SKIP_TESTS}"; \
	for py in $(PY3VERS); do \
	  PYLIBPATH=`pybuild --print build_dir -p$$py | awk '{print $$3}'`; \
	  PYTHONPATH=$$PYLIBPATH python$$py \
	        $(CURDIR)/runtests.py -n -- -k "$${SKIP_TESTS}"; \
	done
endif

execute_after_dh_install:
	dh_numpy3

=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-pytest, python3-all

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libopenblas-dev
Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el riscv64 sparc64 s390x

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libatlas-base-dev

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: blis
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, libblis-dev

## scipy 1.10.0

=== debian/changelog ===
scipy (1.10.0-8) unstable; urgency=medium

  * Team upload.
  * x32: skip test_integers_nd during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 23:07:52 +0100

scipy (1.10.0-7) unstable; urgency=medium

  * Team upload.
  * x32: skip test_perm_discrepancy during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 20:55:41 +0100

scipy (1.10.0-6) unstable; urgency=medium

  * Team upload.
  * x32: skip test_flexible_input during build
  * skip failing run-time tests
    - armhf with openblas: test_cdist_dtype_equivalence
    - i386 with blis: test_value_subsets test_bug_6139 test_atol[cgs]
      test_propack test_various_drivers_standard
      test_trsyl test_gelsy test_hetrd test_hegst test_pftri
      test_pptrs_pptri_pptrf_ppsv_ppcon[complex
      test_gees_trsen[complex64] test_gges_tgsen[complex64]
    - riscv64 with atlas: test_bug_6139

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 17:24:21 +0100

scipy (1.10.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing build tests
    - hurd-i386: test_pdf_nolan_samples[pct_range0-alpha_...
    - x32: skip build test test_sign
  * skip failing runtime tests (debian/tests)
    - i386 with blis: test_random_complex_overdet
    - armhf with openblas: test_cholesky
  * reintroduce and update debian patch
    hppa-boost-long-double-config.patch.
    Thanks Mattias Ellert. Closes: #1030947.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Feb 2023 12:08:00 +0100

scipy (1.10.0-4) unstable; urgency=medium

  * Team upload.
  * skip more build-time tests
    - hurd-i386: test_find_peaks_exact test_find_peaks_withnoise
      test_examples[True-float64] test_rv_sample
      test_location_scale[pdf
    - x32: test_basic
  * update debian/tests
    - armhf with openblas: skip test_array_smoothing
    - i386 with blis: skip test_random_complex_exact
  * debian patch fix_cast_PR17726.patch applies upstream PR17726
    to fix 32-bit/64-bit casting. Closes: #1029690.
  * add Breaks: python3-skbio (<< 0.5.8-3~) to aid migration

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 09:49:03 +0100

scipy (1.10.0-3) unstable; urgency=medium

  * Team upload.
  * drop scipy/_lib/boost/ from debian/copyright
    (no longer provided in upstream source)
  * skip build-time tests
    - hurd-i386: test_mip1
    - ia64: test_maxiter_worsening[lgmres]
    - x32: test_input_validation
  * update skips in debian/tests:
    - i386: skip test_simple_overdet_complex with blis
    - armhf: skip test_rosenbrock_with_no_exception
  * update debian patch Use-system-LBFGSB.patch for the new meson build
    Closes: #1030142.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Feb 2023 10:48:29 +0100

scipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing copyright for submodules

  [ Drew Parsons ]
  * update debian/tests
    - i386: fix test skips
    - armel: skip test_brunnermunzel_normal_dist
    - armhf with openblas: skip test_pdist_calling_conventions
      test_pdist_dtype_equivalence test_striding
    - s390x with atlas: skip test_aligned_mem
  * debian patch readonly_interpolate_PR17717.patch applies upstream
    PR17717 to fix interpolate.interpn. Closes: #1029692.
  * drop debian patch fix_numpy1.24_PR17035.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Jan 2023 10:13:42 +0100

scipy (1.10.0-1exp6) experimental; urgency=medium

  * Team upload.
  * powerpc: skip test_maxiter_worsening[lgmres]
  * mipsel: skip test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jan 2023 11:05:38 +0100

scipy (1.10.0-1exp5) experimental; urgency=medium

  * Team upload.
  * mipsel skip test_fht_special_cases test_integrality (also mips64el)
  * armel skip test_brunnermunzel_normal_dist
  * riscv64 skip test_maxiter_worsening[lgmres]

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Jan 2023 12:37:59 +0100

scipy (1.10.0-1exp4) experimental; urgency=medium

  * Team upload.
  * debian patch fix_highs_atomic_PR17777.patch applies upstream
    PR17777 to fix handling of libatomic (with gcc) in _highs.
    Fixes build for armel, mipsel, powerpc.
  * skip tests on mips64el: test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 23:01:47 +0100

scipy (1.10.0-1exp3) experimental; urgency=medium

  * Team upload.
  * skip more tests:
    - i386: test_examples[True-float64]
      test_pdf_nolan_samples[pct_range0-alpha_range0-beta_range0]
    - ppc64: test_maxiter_worsening

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 12:39:03 +0100

scipy (1.10.0-1exp2) experimental; urgency=medium

  * Team upload.
  * Build-Depends: libblas-dev not libopenblas-dev. Preferred BLAS
    implementation must be installed by the system administrator not
    at build time, and OpenBLAS is not available on all arches.
  * handle failing tests, see https://github.com/scipy/scipy/issues/17839
    - relax more tolerances in debian patch manage_tests.patch to enable
      i386 to pass tests
    - i386: skip test_x0_equals_Mb[bicgstab]
      test_rv_sample test_location_scale[pdf
    - s390x: skip test_atol[bicg]
    - ppc64: skip test_precond_dummy
    - armhf (in debian/tests, build-time tests pass fine)

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 02:41:59 +0100

scipy (1.10.0-1exp1) experimental; urgency=medium

  [ Drew Parsons ]
  * Team upload.
  * New upstream major release.
    - no longer uses local boost source
      (drop debian patch hppa-boost-long-double-config.patch)
    - Build-Depends: meson (>= 0.62.2~)
    - Build-Depends-Indep: python3-sphinx-tabs for docs
    - update versioned Build-Depends: cython3 (>= 0.29.21~),
      python3-pythran (>= 0.9.12~), python3-pythran (<< 0.12)
  * update debian/watch with uversionmangle=s/rc/~rc/ to order
    RC releases below final release versions

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Multi-Arch: foreign


=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,14 @@
 
 export SCIPY_USE_PYTHRAN = $(shell if dpkg-query -s python3-pythran >/dev/null 2>/dev/null; then echo 1; else echo 0; fi )
 
+# specify build against generic BLAS/LAPACK. Preferred optimised implementation should be installed
+# by the end user, not by the package build.
+export PYBUILD_BUILD_ARGS := -Csetup-args=-Dblas=blas -Csetup-args=-Dlapack=lapack
+
 # stats/tests/test_continuous_basic.py::test_cont_basic[500-200-ncf-arg74] test fails with IntegrationWarning
 # https://github.com/scipy/scipy/issues/14519
-SKIP_TEST_LIST += "test_cont_basic[500-200-ncf-arg74]"
+# test_data (pooch) needs internet or cached data files
+SKIP_TEST_LIST += test_cont_basic[500-200-ncf-arg74] test_existence_all test_ascent test_face test_electrocardiogram
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
     SKIP_TEST_LIST += test_maxiter_worsening[lgmres]
@@ -31,7 +36,13 @@
 
 # linalg/tests/test_decomp.py started segfaulting on armel
 ifneq (,$(findstring $(DEB_HOST_ARCH), armel))
-    SKIP_TEST_LIST += test_decomp test_random_exact
+    SKIP_TEST_LIST += test_decomp test_random_exact test_brunnermunzel_normal_dist
+endif
+
+# some tests broken on i386, see https://github.com/scipy/scipy/issues/17839
+ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
+    SKIP_TEST_LIST += test_find_peaks_exact test_find_peaks_withnoise test_x0_equals_Mb[bicgstab] test_rv_sample
+    SKIP_TEST_LIST += test_location_scale[pdf test_examples[True-float64] test_pdf_nolan_samples[pct_range0-alpha_range0-beta_range0]
 endif
 
 # Bug#1017864 test_kolmogorov.py segfaults on i386 (including hurd)
@@ -42,12 +53,13 @@
 
 # integrate/_ivp/tests/test_ivp.py fail on mips64el
 # see https://github.com/scipy/scipy/issues/16883
+# https://github.com/scipy/scipy/issues/17839#issuecomment-1400636840
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
-    SKIP_TEST_LIST += test_first_step test_classes
+    SKIP_TEST_LIST += test_first_step test_classes test_integrality test_integrator test_double_integrator
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), mipsel))
-    SKIP_TEST_LIST += test_NaN_warnings test_moments_warnings
+    SKIP_TEST_LIST += test_NaN_warnings test_moments_warnings test_fht_special_cases test_integrality test_integrator test_double_integrator
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
@@ -56,11 +68,36 @@
 
 # powerpc: failures in stats/tests/test_stats.py: overflow encountered in _hypergeom_*
 ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
-    SKIP_TEST_LIST += test_hypergeom_cdf test_hypergeom_sf test_nch_hypergeom test_precision test_precise test_less_greater
+    SKIP_TEST_LIST += test_hypergeom_cdf test_hypergeom_sf test_nch_hypergeom test_precision test_precise test_less_greater test_maxiter_worsening[lgmres]
 endif
 
+# test_atol[bicg] only just misses tolerance on s390x, but the design of the test makes it difficult to workaround,
+# so skip. See https://github.com/scipy/scipy/issues/17839#issuecomment-1399477182
 ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
-    SKIP_TEST_LIST += test_maxiter_worsening
+    SKIP_TEST_LIST += test_maxiter_worsening test_atol[bicg]
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), hurd-i386))
+    SKIP_TEST_LIST += test_mip1 test_find_peaks_exact test_find_peaks_withnoise test_examples[True-float64] test_rv_sample test_location_scale[pdf
+    SKIP_TEST_LIST += test_pdf_nolan_samples[pct_range0-alpha_range0-beta_range0]
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), ia64))
+    SKIP_TEST_LIST += test_maxiter_worsening[lgmres]
+endif
+
+# https://github.com/scipy/scipy/issues/17839#issuecomment-1399478853
+ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
+    SKIP_TEST_LIST += test_precond_dummy test_maxiter_worsening[lgmres]
+endif
+
+# https://github.com/scipy/scipy/issues/17839#issuecomment-1401780853
+ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
+    SKIP_TEST_LIST += test_maxiter_worsening[lgmres]
+endif
+
+ifneq (,$(findstring $(DEB_HOST_ARCH), x32))
+    SKIP_TEST_LIST += test_input_validation test_basic test_sign test_flexible_input test_perm_discrepancy test_integers_nd
 endif
 
 %:
@@ -73,14 +110,28 @@
 	-rm -rf doc/source/reference/generated
 	-rm -rf doc/build
 
+execute_before_dh_clean:
+	# make sure symlinks to submodules are cleaned up or empty directories from tarball are removed
+	rm -rf doc/source/_static/scipy-mathjax
+	rm -rf scipy/_lib/boost
+	rm -rf scipy/_lib/highs
+	rm -rf scipy/_lib/unuran
+	rm -rf scipy/sparse/linalg/_propack/PROPACK
+
 execute_before_dh_auto_configure:
+	echo "Symlink to submodules"
+	ln -sf ../../../submodules/doc/source/_static/scipy-mathjax		doc/source/_static/scipy-mathjax
+	ln -sf ../../submodules/scipy/_lib/boost				scipy/_lib/boost
+	ln -sf ../../submodules/scipy/_lib/highs				scipy/_lib/highs
+	ln -sf ../../submodules/scipy/_lib/unuran				scipy/_lib/unuran
+	ln -sf ../../../../submodules/scipy/sparse/linalg/_propack/PROPACK	scipy/sparse/linalg/_propack/PROPACK
 	echo "Building scipy with SCIPY_USE_PYTHRAN=$(SCIPY_USE_PYTHRAN)"
 
 execute_before_dh_installdocs-indep:
 	(export MPLCONFIGDIR=. ; \
 	PYLIBPATH=`pybuild --print build_dir -p$(PY3_DEFAULT) | awk '{print $$3}'`; \
 	echo "building docs using PYLIBPATH=$$PYLIBPATH"; \
-	PYTHONPATH=$$PYLIBPATH make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3)
+	PYTHONPATH=$$PYLIBPATH make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3) || /bin/true
 
 override_dh_auto_test:
 	echo "Build-time tests will be run after the installation dir is installed"
@@ -111,3 +162,11 @@
 
 execute_after_dh_install:
 	dh_numpy3
+
+
+# meson build is still work-in-progress, installs residual cython (pyx) files
+# See cython_special comments in scipy/special/meson.build
+# and https://github.com/scipy/scipy/issues/14890
+# In the meantime clean up python3.X (not python3) files left after dh_python3
+execute_after_dh_python3:
+	rm -rf debian/python3-scipy/usr/lib/python$(PY3_DEFAULT)

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: python3
-Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil
+Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil, python3-pooch
 
 # short test on all python versions including debug
 Tests: python3-smoke
